Subject: bug#40334: MATE: I can't add/remove workspaces

From: sirgazil <[email-masked]>
Date: Mon, 30 Mar 2020 15:52:27 -0500

I'm using the Guix System, and found this problem in MATE 1.22, but another person confirmed that it still occurs in MATE 1.24 (https://lists.gnu.org/archive/html/guix-devel/2020-03/msg00472.html).

## Steps to reproduce

1. Right-click on the Workspace Switcher applet
2. Choose Preferences.

## Expected result

I can use the "Number of workspaces" spin box to specify the number of workspaces I want.

## Unexpected result

The "Number of workspaces" spin box is disabled, so I'm restricted to use the default 4 workspaces only.

Screenshot: 

https://multimedialib.files.wordpress.com/2020/03/mate-1.22-disabled-workspaces-spin-box-2020-03-23.png

## System information

❯ guix describe
Generación 67	29 mar 2020 11:58:53	(actual)
  guix acf900e
    URL del repositorio: https://git.savannah.gnu.org/git/guix.git
    rama: master
    revisión: acf900eec3772f0154d6f0b228f1d878287a10d3

---
https://sirgazil.bitbucket.io/